Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

libiconv out of date on Mac?

Hello,

I was trying to build image_view on my Mac OSX and I get this error when I run the node :

[ERROR] [1360612367.075932000]: Failed to load nodelet [/image_view_1360612364942955000] of type [image_view/image]: Failed to load library /Users/hansgaiser/ros_catkin_ws/install_isolated/lib//libimage_view.dylib. Make sure that you are calling the PLUGINLIB_EXPORT_CLASS macro in the library code, and that names are consistent between this macro and your XML. Error string: Could not load library (Poco exception = dlopen(/Users/hansgaiser/ros_catkin_ws/install_isolated/lib//libimage_view.dylib, 9): Library not loaded: /opt/local/lib/libiconv.2.dylib
  Referenced from: /usr/local/lib/libglib-2.0.0.dylib
  Reason: Incompatible library version: libglib-2.0.0.dylib requires version 8.0.0 or later, but libiconv.2.dylib provides version 7.0.0)
[ERROR] [1360612367.079505000]: [registerPublisher] Failed to contact master at [localhost:11311].  Retrying...

I tried installing a new version through Homebrew, but it would not want to symlink this, because libiconv is also a system dependency and that could cause issues apparently. What should I do?